Subject: Re: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Michael Albinus <[email-masked]>
Date: Sun, 13 Dec 2015 10:02:34 +0100

Anders Lindgren <[email-masked]> writes:

>     > # make -C test/automated tramp-tests
>     Wait a while until you know for sure it hangs. Apply C-g. Move the
>     cursor over the "tramp-test32-utf8" string in the *ert* buffer,
>     and
>     press m. You will see the *ERT Messages* buffer, pls show.
>
> It just gave me a "ert--stats-test-pos: Wrong type argument: arrayp,
> nil"...
>
> Anyway, I've attached the content of the *Messages* buffer, hopefully,
> it will contain whatever you were looking for. Please let me know if
> you need more information. 

It's only part of the whole story (the last 1000 lines due to
message-log-max), but it helps.

Tramp hangs at this command:

--8<---------------cut here---------------start------------->8---
# (test -e /private/var/folders/ys/pmyf4b5d58db2y7h89tx0wkm0000gn/T/tramp-test71335Nhl/\أ\ص\ب\ح\ \ب\و\س\ع\ك\ \ا\ل\آ\ن\ \ت\ن\ز\ي\ل\ \ن\س\خ\ة\ \ك\ا\م\ل\ة\ \م\ن\ \م\و\س\و\ع\ة\ \و\ي\ك\ي\ب\ي\د\ي\ا\ \ا\ل\ع\ر\ب\ي\ة\ \ل\ت\ص\ف\ح\ه\ا\ \ب\ل\ا\ \ا\ت\ص\ا\ل\ \ب\ا\ل\إ\ن\ت\ر\ن\ت || test -h /private/var/folders/ys/pmyf4b5d58db2y7h89tx0wkm0000gn/T/tramp-test71335Nhl/\أ\ص\ب\ح\ \ب\و\س\ع\ك\ \ا\ل\آ\ن\ \ت\ن\ز\ي\ل\ \ن\س\خ\ة\ \ك\ا\م\ل\ة\ \م\ن\ \م\و\س\و\ع\ة\ \و\ي\ك\ي\ب\ي\د\ي\ا\ \ا\ل\ع\ر\ب\ي\ة\ \ل\ت\ص\ف\ح\ه\ا\ \ب\ل\ا\ \ا\ت\ص\ا\ل\ \ب\ا\ل\إ\ن\ت\ر\ن\ت) && /bin/ls -w -ildn /private/var/folders/ys/pmyf4b5d58db2y7h89tx0wkm0000gn/T/tramp-test71335Nhl/\أ\ص\ب\ح\ \ب\و\س\ع\ك\ \ا\ل\آ\ن\ \ت\ن\ز\ي\ل\ \ن\س\خ\ة\ \ك\ا\م\ل\ة\ \م\ن\ \م\و\س\و\ع\ة\ \و\ي\ك\ي\ب\ي\د\ي\ا\ \ا\ل\ع\ر\ب\ي\ة\ \ل\ت\ص\ف\ح\ه\ا\ \ب\ل\ا\ \ا\ت\ص\ا\ل\ \ب\ا\ل\إ\ن\ت\ر\ن\ت
--8<---------------cut here---------------end--------------->8---

This is a delicate command, because the file name is r2l encoded, and
one aim of the test is to check whether this works. OTOH, I see ^G
evidences in the trace after sending the command, so I don't know
whether Tramp really hangs, or whether this has been the place you have
started to interrupt the test.

Could you, pls, run the command in a shell buffer on your machine? At
this state of the test the file doesn't exist yet, so we could use a
shorter directory path. Something like

--8<---------------cut here---------------start------------->8---
# (test -e /tmp/\أ\ص\ب\ح\ \ب\و\س\ع\ك\ \ا\ل\آ\ن\ \ت\ن\ز\ي\ل\ \ن\س\خ\ة\ \ك\ا\م\ل\ة\ \م\ن\ \م\و\س\و\ع\ة\ \و\ي\ك\ي\ب\ي\د\ي\ا\ \ا\ل\ع\ر\ب\ي\ة\ \ل\ت\ص\ف\ح\ه\ا\ \ب\ل\ا\ \ا\ت\ص\ا\ل\ \ب\ا\ل\إ\ن\ت\ر\ن\ت || test -h /tmp/\أ\ص\ب\ح\ \ب\و\س\ع\ك\ \ا\ل\آ\ن\ \ت\ن\ز\ي\ل\ \ن\س\خ\ة\ \ك\ا\م\ل\ة\ \م\ن\ \م\و\س\و\ع\ة\ \و\ي\ك\ي\ب\ي\د\ي\ا\ \ا\ل\ع\ر\ب\ي\ة\ \ل\ت\ص\ف\ح\ه\ا\ \ب\ل\ا\ \ا\ت\ص\ا\ل\ \ب\ا\ل\إ\ن\ت\ر\ن\ت) && /bin/ls -w -ildn /tmp/\أ\ص\ب\ح\ \ب\و\س\ع\ك\ \ا\ل\آ\ن\ \ت\ن\ز\ي\ل\ \ن\س\خ\ة\ \ك\ا\م\ل\ة\ \م\ن\ \م\و\س\و\ع\ة\ \و\ي\ك\ي\ب\ي\د\ي\ا\ \ا\ل\ع\ر\ب\ي\ة\ \ل\ت\ص\ف\ح\ه\ا\ \ب\ل\ا\ \ا\ت\ص\ا\ل\ \ب\ا\ل\إ\ن\ت\ر\ن\ت
--8<---------------cut here---------------end--------------->8---

And if this hangs, mybe also the test -e ... and test -h ... command alone.

> -- Anders

Best regards, Michael.